## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- f
- g
- i
- m
- o
- p
- s

### - a -

- AllocInfo : csSubRectangles::SubRect::AllocInfo, csSubRectangles::SubRect
- ArchiveEntry : csArchive

### - b -

- BitProxy : csBitArray::BitProxy, csBitArray
- BlockAllocatedSV : csShaderVarBlockAlloc

### - c -

- Container : CrystalSpace::ImportKit::Container::Material, CrystalSpace::ImportKit::Container::Model
- csArray< T, ElementHandler > : csArray< T, ElementHandler, MemoryAllocator >::Iterator
- csBaseEventHandler : csBaseEventHandler, csBaseEventHandler::EventHandlerImpl
- csBlockAllocator< SubRect > : csSubRectangles::SubRect
- csColorBox : csColorQuantizer
- csCommonImageFileLoader : csCommonImageFile
- csComparator< csBitArray, csBitArray > : csBitArray
- csConfigDocumentIterator : csConfigDocument
- csConfigIterator : csConfigFile
- csConfigManagerIterator : csConfigManager
- csEvent : csEvent, csPoolEvent
- csEventAttributeIterator : csEventAttributeIterator, csEvent
- csEventOutlet : csEventOutlet, csEventQueue, csEventCord
- csEventQueue : csEventQueue, csPoolEvent
- csEventTree : csEventTree::SubscriberIterator, csEventQueue
- csGLFontCache : csGraphics2DGLCommon
- csGLPixelFormatPicker : csGraphics2DGLCommon
- csGLScreenShot : csGraphics2DGLCommon
- csHash< T, K > : csHash< T, K >::GlobalIterator, csHash< T, K >::Iterator
- csHashComputer< csBitArray > : csBitArray
- csInputBinder : csInputBinder, csInputDefinition
- csKDTree : csKDTree, csKDTreeChild
- csList< T > : csList< T >::Iterator
- csObjectIterator : csObject
- csPluginList : csPluginLoader
- csPoolEvent : csPoolEvent, csEventQueue
- csProcTexCallback : csProcTexture
- csProcTexEventHandler : csProcTexture
- csRef< T > : csPtr< T >
- csRenderView : csRenderContext
- csSet< T > : csSet< T >::GlobalIterator
- csSubRectangles : csSubRectangles, csSubRectangles::SubRect
- csTiledCoverageBuffer : csTiledCoverageBuffer, csCoverageTile
- csWin32RegistryIterator : csWin32RegistryConfig

### - f -

- FocusListener : csInputDriver

### - g -

- GlobalIterator : csSet< T >::GlobalIterator, csHash< T, K >::GlobalIterator, csStringSet, csStringHash, csSet< T >, csHash< T, K >

### - i -

- ImportKit : CrystalSpace::ImportKit, CrystalSpace::ImportKit::Container
- ImportKitImpl::Glue : CrystalSpace::ImportKit::Container, CrystalSpace::ImportKit::Container::Material, CrystalSpace::ImportKit::Container::Model, CrystalSpace::ImportKit::Container::Model::Mesh
- Iterator : csList< T >::Iterator, csHash< T, K >::Iterator, csArray< T, ElementHandler, MemoryAllocator >::Iterator, csList< T >, csHash< T, K >, csNodeIterator

### - m -

- Model : CrystalSpace::ImportKit::Container::Model, CrystalSpace::ImportKit::Container::Model::Mesh

### - o -

- operator & : csBitArray
- operator * : iDataBuffer, csWeakRef< T >, csPathsList, csRef< T >, csParasiticDataBufferBase, csList< T >::Iterator, csColor, csRenderBufferLock< T, TbufferKeeper >, CrystalSpace::SoftShader::Pixel, csVector4T< T >, csVector3, csVector2, csReversibleTransform, csTransform, csQuaternion, csMatrix3, csMatrix2, csDMatrix3, csDVector3, csFixed24, csFixed16, csBox3, csBox2
- operator *= : csPathsList, csColor4, csColor, CrystalSpace::SoftShader::Pixel, csVector4T< T >, csVector3, csVector2, csReversibleTransform, csTransform, csQuaternion, csMatrix3, csMatrix2, csDMatrix3, csDVector3, csBox3, csBox2
- operator!= : iString, csWeakRef< T >, scfString, csRef< T >, csStringBase, csColor4, csColor, csBitArray, csPluginRequest, csRGBpixel, csRGBcolor, csVector4T< T >, csVector3, csVector2, csMatrix3, csDMatrix3, csDVector3, csRect, csBox3, csBox2
- operator% : csVector4T< T >, csVector3, csDVector3
- operator+ : iString, scfString, csStringBase, CrystalSpace::SoftShader::Pixel, csRGBcolor, csVector4T< T >, csVector3, csVector2, csSphere, csQuaternion, csMatrix3, csMatrix2, csDMatrix3, csDVector3, csBox3, csBox2
- operator- : csVector4T< T >, csVector3, csVector2, csQuaternion, csMatrix3, csMatrix2, csDMatrix3, csDVector3, csFixed24, csFixed16
- operator/ : csVector4T< T >, csVector3, csVector2, csReversibleTransform, csMatrix3, csMatrix2, csDMatrix3, csDVector3
- operator/= : csVector4T< T >, csVector3, csVector2, csReversibleTransform, csMatrix3, csMatrix2, csDMatrix3, csDVector3
- operator< : csRef< T >, csRedBlackTreePayload< K, T >, csPtrKey< T >, csStringBase, csVector4T< T >, csVector3, csVector2, csMatrix3, csDMatrix3, csDVector3, csBox3, csBox2
- operator<< : csStringBase, csVector4T< T >, csVector3, csDVector3
- operator== : iString, csWeakRef< T >, scfString, csRef< T >, csStringBase, csColor4, csColor, csBitArray, csArray< T, ElementHandler, MemoryAllocator >, csRGBpixel, csRGBcolor, csVector4T< T >, csVector3, csVector2, csMatrix3, csDMatrix3, csDVector3, csRect, csBox3, csBox2
- operator> : csStringBase, csVector4T< T >, csVector3, csVector2, csMatrix3, csDMatrix3, csDVector3, csBox3, csBox2
- operator>> : csVector4T< T >, csVector3, csDVector3, csFixed16
- operator^ : csBitArray
- operator| : csBitArray

### - p -

- PlatformMapping : csMemoryMappedIO

### - s -

- SubRect : csSubRectangles
- SubscriberIterator : csEventTree::SubscriberIterator, csEventTree